const jokes = [
  "Why did the economist break up with the calculator? It couldn't handle the complex relationship!",
  "Why don't economists ever get lost? Because they always follow the demand curve!",
  "What do you call an economist with a sense of humor? A unicorn!",
  "Why did the economist cross the road? To get to the other side of the equation!",
  "What's an economist's favorite type of music? Supply and demand!",
];

document.getElementById('compare-form').addEventListener('submit', function (e) {
  e.preventDefault();
  const country1 = document.getElementById('country1').value;
  const country2 = document.getElementById('country2').value;

  if (country1 && country2) {
    const comparisonData = `
      <h3>Comparison between ${country1} and ${country2}</h3>
      <p><strong>GDP:</strong> ${getRandomNumber()} vs ${getRandomNumber()}</p>
      <p><strong>Unemployment Rate:</strong> ${getRandomNumber()}% vs ${getRandomNumber()}%</p>
      <p><strong>Inflation Rate:</strong> ${getRandomNumber()}% vs ${getRandomNumber()}%</p>
    `;

    document.getElementById('comparison-data').innerHTML = comparisonData;
    document.getElementById('joke').textContent = jokes[Math.floor(Math.random() * jokes.length)];
    document.getElementById('results').classList.remove('hidden');
  }
});

function getRandomNumber() {
  return (Math.random() * 100).toFixed(2);
}